%global nodejs_sitelib /usr/lib/node_modules

Summary:       A Kibana Visualization plugin to add OpenShift specific requirements
Name:          origin-kibana
Version:       4.5.1
Release:       7%{?dist}
License:       ASL 2.0
URL:           https://github.com/openshift/origin-kibana
# Source is actually gotten via the following
# wget -O %{name}-v%{version}-1.tgz https://github.com/openshift/origin-kibana/archive/v%{version}-1.tar.gz
Source0:       https://github.com/openshift/%{name}/releases/download/v%{version}-1/%{name}-v%{version}-1.tgz
Source1:       logo-OCP-console-hdr-thin.svg
BuildArch:     noarch
BuildRequires: nodejs-packaging
BuildRequires: nodejs-devel
BuildRequires: nodejs-grunt
BuildRequires: nodejs-grunt-cli
BuildRequires: nodejs-grunt-contrib-clean
BuildRequires: nodejs-grunt-contrib-copy
BuildRequires: nodejs-grunt-contrib-less
BuildRequires: nodejs-patternfly >= 2.2.0
Requires:      nodejs-patternfly >= 2.2.0

%description
This repo provide a plugin to the Kibana Visualization tool
to add OpenShift specific requirements.
The main features added by this plugin are:

 * Origin skinning

Currently compatible with the 4.5.x code stream of Kibana

%prep
%setup -q -n %{name}-%{version}-1

%build
# We need to make the main.ccs file
mkdir bower_components node_modules
ln -s /usr/lib/node_modules/patternfly bower_components/
ln -s /usr/lib/node_modules/grunt* node_modules/
grunt less

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -f lib/styles/{fonts,fa-fonts}
mkdir lib/fonts
cp -p %{nodejs_sitelib}/patternfly/dist/fonts/* lib/fonts
cp -p %{nodejs_sitelib}/patternfly/components/bootstrap/fonts/* lib/fonts
cp -p %{nodejs_sitelib}/patternfly/components/font-awesome/fonts/* lib/fonts
mv lib public
cp -pr bower.json console.png Gruntfile.js index.js public package.json %{buildroot}%{_datadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_datadir}/%{name}/public/images/logo-origin-thin.svg


%files
%doc LICENSE README.md release.md
%{_datadir}/%{name}

%changelog
* Thu Dec 08 2016 Troy Dawson <tdawson@redhat.com> - 4.5.1-7
- Update to 4.5.1-1

* Tue Nov 15 2016 Eric Wolinetz <ewolinet@redhat.com> - 4.5.1-6
- Updated logo to be OCP instead of Enterprise

* Mon Oct 31 2016 Troy Dawson <tdawson@redhat.com> - 4.5.1-5
- Add patternfly bootstrap fonts

* Mon Oct 31 2016 Troy Dawson <tdawson@redhat.com> - 4.5.1-4
- copy all fonts to lib/fonts

* Sat Oct 29 2016 Troy Dawson <tdawson@redhat.com> - 4.5.1-3
- move lib/styles/fonts to lib/fonts and lib/fonts-fa
- move lib to public

* Fri Oct 28 2016 Troy Dawson <tdawson@redhat.com> - 4.5.1-2
- Make sure all files are in rpm

* Thu Oct 20 2016 Rich Megginson <rmeggins@redhat.com> - 4.5.1-1
- Update to 4.5.1

* Wed Jan 06 2016 Troy Dawson <tdawson@redhat.com> - 0.5.0-1
- Update to 0.5.0
- Use grunt to create the lib/styles/main.css file

* Tue Nov 10 2015 Troy Dawson <tdawson@redhat.com> - 0.4-3
- Fixup spec file

* Mon Nov 09 2015 Troy Dawson <tdawson@redhat.com> - 0.4-2
- Use the enterprise logo (#1278704)

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.4-1
- Update to 0.4
- rpm version changed to match upstream release numbering

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.0.3-1
- Update to 0.0.3

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.0.2-1
- Update to 0.0.2

* Wed Sep 16 2015 Troy Dawson <tdawson@redhat.com> - 0.0.1-1
- Initial package (created from openshift-kibana)
